%define		pkg	sha
Summary:	Check and get file hashes
Name:		nodejs-%{pkg}
Version:	1.2.3
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	33790b52b5ba6fc8d1ee61ad0fab8864
URL:		https://github.com/ForbesLindesay/sha
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check and get file hashes (using any algorithm).

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr index.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-sha.git;a=log;h=master

* Tue Mar 11 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3b1b0de
- new

